Subject: [apps-discuss] Working Group Last Call: draft-ietf-appsawg-nullmx

From: "Murray S. Kucherawy" <[email-masked]>
Date: Wed, 11 Jun 2014 14:10:56 -0700

Colleagues,

This note starts a Working Group Last Call for draft-ietf-appsawg-nullmx.
This resurrects work originally proposed in 2006, championed this time by
John Levine.  It has had a good number of reviewers since its introduction
after London and seems to be stable.

Please provide review comments either on this list or privately to
[email-masked] on or before June 27, 2014.

Also, if any participant has knowledge of IPR that needs to be declared on
this work, please do so, as required by BCPs 78 and 79.

Dave Crocker is fulfilling the duties of document shepherd.

-MSK, APPSAWG co-chair

---

From: Alexey Melnikov <[email-masked]>
Date: Thu, 12 Jun 2014 17:18:12 +0100

On 11/06/2014 22:10, Murray S. Kucherawy wrote:
> Colleagues,
>
> This note starts a Working Group Last Call for 
> draft-ietf-appsawg-nullmx. This resurrects work originally proposed in 
> 2006, championed this time by John Levine.  It has had a good number 
> of reviewers since its introduction after London and seems to be stable.
>
> [email-masked] 
> <mailto:[email-masked]> on or before 
> June 27, 2014.
>
> Also, if any participant has knowledge of IPR that needs to be 
> declared on this work, please do so, as required by BCPs 78 and 79.
>
I read the document, it is a well written document that serves a useful 
purpose. Thus I support its publication.

---

From: "John Levine" <[email-masked]>
Date: 18 Jun 2014 17:03:48 -0000

As previously threatened, I did a fairly extensive edit for what I
hope is the last draft.  The only deliberate change of substance is
that it now says you MUST NOT rather than SHOULD NOT publish other
MXes along with nullmx, since I couldn't think of any useful reason to
do so, and the semantics if you do are unclear.

R's,
John

-------------------------------------------------------------------------------------

A new version of I-D, draft-ietf-appsawg-nullmx-04.txt
has been successfully submitted by John Levine and posted to the
IETF repository.

Name:		draft-ietf-appsawg-nullmx
Revision:	04
Title:		A NULL MX Resource Record for Domains that Accept No Mail
Document date:	2014-06-18
Group:		appsawg
Pages:		6
URL:            http://www.ietf.org/internet-drafts/draft-ietf-appsawg-nullmx-04.txt
Status:         https://datatracker.ietf.org/doc/draft-ietf-appsawg-nullmx/
Htmlized:       http://tools.ietf.org/html/draft-ietf-appsawg-nullmx-04
Diff:           http://www.ietf.org/rfcdiff?url2=draft-ietf-appsawg-nullmx-04

Abstract:
   Internet mail determines the address of a receiving server through
   the DNS, first by looking for an MX record and then by looking for an
   A/AAAA record as a fallback.  Unfortunately this means that the A/
   AAAA record is taken to be mail server address even when that address
   does not accept mail.  The NULL MX RR formalizes the existing
   mechanism by which a domain announces that it accepts no mail, which
   permits significant operational efficiencies.